MACRO BOOST_(3)

NAME
BOOST_PROTO_ASSERT_MATCHES - Assert at compile time that a particular expression matches the specified grammar.

SYNOPSIS

// In header: <boost/proto/debug.hpp>
BOOST_PROTO_ASSERT_MATCHES(expr, Grammar)

DESCRIPTION

Use BOOST_PROTO_ASSERT_MATCHES() to assert at compile-time that an expression matches a grammar.

Example:

    typedef proto::plus< proto::terminal< int >, proto::terminal< int > > PlusInts;
    BOOST_PROTO_ASSERT_MATCHES( proto::lit(1) + 42, PlusInts );

See also:

    &#8226; proto::assert_matches().RE

        &#8226; proto::assert_matches_not().RE

            &#8226; BOOST_PROTO_ASSERT_MATCHES_NOT().RE